# $Revision: 1.12 $, $Date: 2009/06/18 13:19:24 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Email
%define	pnam	MIME-Modifier
Summary:	Email::MIME::Modifier - modify Email::MIME objects easily
Summary(pl.UTF-8):	Email::MIME::Modifier - łatwe modyfikowanie obiektów Email::MIME
Name:		perl-Email-MIME-Modifier
Version:	1.444
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	3f75aad8a6683a23075ced1ed0eb41e4
URL:		http://search.cpan.org/dist/Email-MIME-Modifier/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Email-MIME >= 1.7
BuildRequires:	perl-Email-MIME-ContentType >= 1
BuildRequires:	perl-Email-MIME-Encodings >= 1.2
BuildRequires:	perl-Email-MessageID >= 1.2
BuildRequires:	perl-Email-Simple >= 1.9
%endif
# not autodetected
Requires:	perl-Email-MIME >= 1.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Provides a number of useful methods for manipulating MIME messages.

%description -l pl.UTF-8
Pakiet dostarcza wiele użytecznych metod do obróbki wiadomości MIME.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Email/MIME/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Email-MIME-Modifier.spec,v $
Revision 1.12  2009/06/18 13:19:24  amateja
- updated to 1.444

Revision 1.11  2008/07/27 22:33:51  arekm
- release 2

Revision 1.10  2008-05-11 10:43:01  hawk
- updated to 1.442

Revision 1.9  2007-02-13 07:16:54  glen
- tabs in preamble

Revision 1.8  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.7  2006/08/22 15:26:28  glen
- rel 1, generic url

Revision 1.6  2006/08/10 21:45:56  agaran
- up to 1.43, rel 0.1, builds here

Revision 1.5  2006/05/25 11:32:32  qboosh
- R: perl-Email-MIME, release 2

Revision 1.4  2005/05/31 15:57:35  petec
- up to 1.42

Revision 1.3  2004/12/09 21:32:42  qboosh
- pl desc

Revision 1.2  2004/12/09 17:00:05  ankry
- pl summary, formatting

Revision 1.1  2004/12/09 16:25:33  radek
- new
